List of all members
clan::TargaProvider Class Reference
clanDisplay Image Providers

Surface provider that can load targa (.tga) files. More...

`#include <targa_provider.h>`

## Static Public Member Functions
Construction
static PixelBuffer | load (const std::string &filename, const FileSystem &fs, bool srgb=false)
| Called to load an image with this provider type. More...
static PixelBuffer | load (const std::string &fullname, bool srgb=false)
static PixelBuffer | load (IODevice &file, bool srgb=false)
static void | save (PixelBuffer buffer, const std::string &filename, FileSystem &fs)
static void | save (PixelBuffer buffer, const std::string &fullname)
static void | save (PixelBuffer buffer, IODevice &file)

## Detailed Description

Surface provider that can load targa (.tga) files.

The documentation for this class was generated from the following file:

- targa_provider.h